Bug 131759 - Nautilus needs more general Open With... options
Nautilus needs more general Open With... options
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-03 19:46 EDT by Dean Kolosiek
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-06 08:44:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Kolosiek 2004-09-03 19:46:56 EDT
Description of problem:

Nautilus needs a mechanism to allow the user to add applications to
Open With... that appear regardless of file type. For example,
Nautilus will apparently only attempt to run a shell script. It should
also be easy to edit a shell script. emacs is an example of an
application that works with almost any file type. Opening a terminal
window in the current directory is another action that would be useful
to always be available.

When attempting to associate an application with a file, there seems
to be no awareness of the applications have been installed. The user
should not have to go find the executable for an installed application.

(nautilus doesn't seem to do anything with shell scripts. Perhaps it
is running the script, but that isn't apparent. I expect it to open a
window so that you can watch the script run. I thought the Ask Each
Time behavior preference would control this, but I guess not.)
Comment 1 Alexander Larsson 2004-09-06 08:44:40 EDT
This is much better in gnome 2.8 (although some apps still need to get
mimetype info added to their desktop files for it to be perfect).

Note You need to log in before you can comment on or make changes to this bug.